[arch-commits] Commit in qtcreator/trunk (PKGBUILD qtcreator-clang7.patch)

2018-10-24 Thread Antonio Rojas via arch-commits
Date: Wednesday, October 24, 2018 @ 10:53:53
  Author: arojas
Revision: 337210

Update to 4.7.2

Modified:
  qtcreator/trunk/PKGBUILD
Deleted:
  qtcreator/trunk/qtcreator-clang7.patch

+
 PKGBUILD   |   20 +---
 qtcreator-clang7.patch |   13 -
 2 files changed, 5 insertions(+), 28 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2018-10-24 07:48:44 UTC (rev 337209)
+++ PKGBUILD2018-10-24 10:53:53 UTC (rev 337210)
@@ -7,9 +7,9 @@
 # Contributor: delor 
 
 pkgname=qtcreator
-pkgver=4.7.1
+pkgver=4.7.2
 _clangver=7.0.0
-pkgrel=3
+pkgrel=1
 pkgdesc='Lightweight, cross-platform integrated development environment'
 arch=(x86_64)
 url='http://qt-project.org'
@@ -28,14 +28,9 @@
 'bzr: bazaar support'
 'valgrind: analyze support')
 
source=("http://download.qt.io/official_releases/qtcreator/${pkgver%.*}/$pkgver/qt-creator-opensource-src-$pkgver.tar.xz;
-qtcreator-clang-plugins.patch qtcreator-clang7.patch
-
qtcreatorbug-19367a.patch::"http://code.qt.io/cgit/qt-creator/qt-creator.git/patch/?id=807b0f78;
-
qtcreatorbug-19367b.patch::"http://code.qt.io/cgit/qt-creator/qt-creator.git/patch/?id=813c1685;)
-sha256sums=('c98254336953f637015f14b8b4ddb5e274454a5416fd20dd09747a6e50762565'
-'6f19fc9d83964a5460d224b3d44ce580553847960181fe0364e2ce26e1efd2e6'
-'88b78c8ebd72cdad8f59bba8172cc5d1f3f9577e2bb31d841d5cabdd76eba36c'
-'a7a00a390fb46f13d53055b1862dcd916deb595dbba20c2340662cab51e5a8c1'
-'89a3fff5e398f11367ab060d910098c295968e909fcca3f35d30073cd80cbf03')
+qtcreator-clang-plugins.patch)
+sha256sums=('f58217e9314702160957c49b8729a662445e901e5f158c64c57550579d65ccc7'
+'6f19fc9d83964a5460d224b3d44ce580553847960181fe0364e2ce26e1efd2e6')
 
 prepare() {
   mkdir -p build
@@ -49,11 +44,6 @@
   # see 
http://code.qt.io/cgit/clang/clang.git/commit/?id=7f349701d3ea0c47be3a43e2656993fd55cf
   # and https://bugs.archlinux.org/task/59492
   patch -p1 -i ../qtcreator-clang-plugins.patch
-  # Don't use unreleased API when building against clang 7
-  patch -p1 -i ../qtcreator-clang7.patch
-  # https://bugreports.qt.io/browse/QTCREATORBUG-19367
-  patch -p1 -i ../qtcreatorbug-19367a.patch
-  patch -p1 -i ../qtcreatorbug-19367b.patch
 }
 
 build() {

Deleted: qtcreator-clang7.patch
===
--- qtcreator-clang7.patch  2018-10-24 07:48:44 UTC (rev 337209)
+++ qtcreator-clang7.patch  2018-10-24 10:53:53 UTC (rev 337210)
@@ -1,13 +0,0 @@
-diff --git a/src/tools/clangbackend/source/clangbackend_global.h 
b/src/tools/clangbackend/source/clangbackend_global.h
-index 658e2e8fb1..5c27224ae4 100644
 a/src/tools/clangbackend/source/clangbackend_global.h
-+++ b/src/tools/clangbackend/source/clangbackend_global.h
-@@ -52,7 +52,7 @@ enum class PreferredTranslationUnit
- #endif
- 
- // CLANG-UPGRADE-CHECK: Remove IS_SKIPWARNINGSFROMINCLUDEDFILES_SUPPORTED 
once we require clang >= 7.0
--#if defined(CINDEX_VERSION_HAS_SKIPWARNINGSFROMINCLUDEDFILES_BACKPORTED) || 
CINDEX_VERSION_MINOR >= 46
-+#if defined(CINDEX_VERSION_HAS_SKIPWARNINGSFROMINCLUDEDFILES_BACKPORTED)
- #  define IS_SKIPWARNINGSFROMINCLUDEDFILES_SUPPORTED
- #endif
- 


[arch-commits] Commit in qtcreator/trunk (PKGBUILD qtcreator-clang7.patch)

2018-09-20 Thread Antonio Rojas via arch-commits
Date: Thursday, September 20, 2018 @ 14:32:37
  Author: arojas
Revision: 335118

clang 7 rebuild

Added:
  qtcreator/trunk/qtcreator-clang7.patch
Modified:
  qtcreator/trunk/PKGBUILD

+
 PKGBUILD   |   11 +++
 qtcreator-clang7.patch |   13 +
 2 files changed, 20 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===
--- PKGBUILD2018-09-20 13:21:30 UTC (rev 335117)
+++ PKGBUILD2018-09-20 14:32:37 UTC (rev 335118)
@@ -8,8 +8,8 @@
 
 pkgname=qtcreator
 pkgver=4.7.1
-_clangver=6.0.1
-pkgrel=1
+_clangver=7.0.0
+pkgrel=2
 pkgdesc='Lightweight, cross-platform integrated development environment'
 arch=(x86_64)
 url='http://qt-project.org'
@@ -28,9 +28,10 @@
 'bzr: bazaar support'
 'valgrind: analyze support')
 
source=("http://download.qt.io/official_releases/qtcreator/${pkgver%.*}/$pkgver/qt-creator-opensource-src-$pkgver.tar.xz;
-qtcreator-clang-plugins.patch)
+qtcreator-clang-plugins.patch qtcreator-clang7.patch)
 sha256sums=('c98254336953f637015f14b8b4ddb5e274454a5416fd20dd09747a6e50762565'
-'6f19fc9d83964a5460d224b3d44ce580553847960181fe0364e2ce26e1efd2e6')
+'6f19fc9d83964a5460d224b3d44ce580553847960181fe0364e2ce26e1efd2e6'
+'88b78c8ebd72cdad8f59bba8172cc5d1f3f9577e2bb31d841d5cabdd76eba36c')
 
 prepare() {
   mkdir -p build
@@ -44,6 +45,8 @@
   # see 
http://code.qt.io/cgit/clang/clang.git/commit/?id=7f349701d3ea0c47be3a43e2656993fd55cf
   # and https://bugs.archlinux.org/task/59492
   patch -p1 -i ../qtcreator-clang-plugins.patch
+  # Don't use unreleased API when building against clang 7
+  patch -p1 -i ../qtcreator-clang7.patch
 }
 
 build() {

Added: qtcreator-clang7.patch
===
--- qtcreator-clang7.patch  (rev 0)
+++ qtcreator-clang7.patch  2018-09-20 14:32:37 UTC (rev 335118)
@@ -0,0 +1,13 @@
+diff --git a/src/tools/clangbackend/source/clangbackend_global.h 
b/src/tools/clangbackend/source/clangbackend_global.h
+index 658e2e8fb1..5c27224ae4 100644
+--- a/src/tools/clangbackend/source/clangbackend_global.h
 b/src/tools/clangbackend/source/clangbackend_global.h
+@@ -52,7 +52,7 @@ enum class PreferredTranslationUnit
+ #endif
+ 
+ // CLANG-UPGRADE-CHECK: Remove IS_SKIPWARNINGSFROMINCLUDEDFILES_SUPPORTED 
once we require clang >= 7.0
+-#if defined(CINDEX_VERSION_HAS_SKIPWARNINGSFROMINCLUDEDFILES_BACKPORTED) || 
CINDEX_VERSION_MINOR >= 46
++#if defined(CINDEX_VERSION_HAS_SKIPWARNINGSFROMINCLUDEDFILES_BACKPORTED)
+ #  define IS_SKIPWARNINGSFROMINCLUDEDFILES_SUPPORTED
+ #endif
+